Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4349 - Error on halt.
Summary: Error on halt.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-04 15:10 UTC by r.grenyer
Modified: 2008-08-01 16:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description r.grenyer 1999-08-04 15:10:51 UTC
On halt, there is some kind of an error
after 'stopping md devices' (on power
down?) which causes a fatal exception
error (and loads of shite to spew over
the screen).
We are using : AMD k6-2 450 on a SOYO
5EMA+ mobo, 128 Mb SDRAM, 4Mb
Trident AGP 9750 graphics card.
'reboot' seems to work fine, no other
problems at all either.
I can send you the details of all the
error codes etc spewed over the
screen if you like as well.

Comment 1 r.grenyer 1999-08-04 15:32:59 UTC
Sorry - I got the error wrong!  It's a general protection fault, not a
fatal excetpion error.
What happens is:
The system is halted.
Stopping all md devices.
Power down
general protection fault: f000
CPU: 0
EIP: 0050:[<00008875>]
EFLAGS: 00010046

followd by loads of junk.

Comment 2 Bill Nottingham 1999-08-04 16:44:59 UTC
That's in the APM bios.

Try the patch that I'll be sending in a minute.

Comment 3 Bill Nottingham 1999-08-04 16:45:59 UTC
That's in the APM bios.

Try the patch that I'll be sending in a minute.

Comment 4 r.grenyer 1999-08-05 10:53:59 UTC
Sorry, I didn't receive a patch?

Comment 5 Bill Nottingham 1999-08-05 14:40:59 UTC
Go to the bugzilla page for this bug and click on the
'Bug #4349 email' link.

Comment 6 dphouston 1999-09-08 04:07:59 UTC
Is this fixed in the 2.2.12 patch, or do I need a special patch?

Comment 7 Bill Nottingham 1999-09-08 18:32:59 UTC
No, you'd still need a separate patch to switch it to real
mode before powering off.

Comment 8 dphouston 1999-09-16 18:03:59 UTC
I hate to seem ignorant, but where does this patch go, and how do I
make it happen?


Note You need to log in before you can comment on or make changes to this bug.